Module org.firebirdsql.jaybird
Package org.firebirdsql.jdbc.field

# Interface FBCloseableField

All Known Implementing Classes:
  `FBLongVarCharField`

public interface FBCloseableField
Instances of this field have open resources and must be cleaned up.

Since:
  5
Author:
  Vasiliy Yashkov

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
Close this field.

## Method Details

### close

void close() throws SQLException
Close this field. This method tells field implementation to release all resources allocated when field methods were called.

Throws:
  `SQLException` - if field cannot be closed.